
# build script for OSX using AdaCore.

# This script gives specific paths
# to libraries & frameworks, if needed.


#!/bin/sh
#
# Mac OS-X compile script 
#
# 100% GNU (no Xcode compilers):
#
#==================================================





if [ -d ./obj/ ]; then
	rm ./obj/*
else
	mkdir obj
fi



export GROOT=/opt/gcc-11.2.0/bin
export PATH=$GROOT:$PATH
export SDKROOT=$(xcrun --show-sdk-path)
export FWROOT=/System/Library/Frameworks


# first, create oal.o:
$GROOT/g++ ../src/adabindings/adaOpenAL/OalBinding/oal.cpp -c \
-D obj \
-I../src/adabindings/adaOpenAL/OalBinding \
-I../src/adabindings/adaOpenAL/OalBinding/incoal





